# Interface methods for submodule: BinaryDilateImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import KernelImageFilterProxy as _KernelImageFilterProxy


# Interface methods for class: BinaryDilateImageFilter
class BinaryDilateImageFilterProxy(_KernelImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	@overload
	def SetForegroundValue(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetForegroundValue(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetForegroundValue(self) -> float:
		""""""
		...

	@overload
	def GetForegroundValue(self) -> int:
		""""""
		...

	@overload
	def SetBackgroundValue(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetBackgroundValue(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetBackgroundValue(self) -> float:
		""""""
		...

	@overload
	def GetBackgroundValue(self) -> int:
		""""""
		...

	def SetBoundaryToForeground(self, _arg: bool) -> None:
		""""""
		...

	def GetBoundaryToForeground(self) -> bool:
		""""""
		...

	def BoundaryToForegroundOn(self) -> None:
		""""""
		...

	def BoundaryToForegroundOff(self) -> None:
		""""""
		...

	def SetKernel(self, kernel: FlatStructuringElement) -> None:
		""""""
		...

	@overload
	def SetDilateValue(self, value: float) -> None:
		""""""
		...

	@overload
	def SetDilateValue(self, value: int) -> None:
		""""""
		...

	@overload
	def GetDilateValue(self) -> float:
		""""""
		...

	@overload
	def GetDilateValue(self) -> int:
		""""""
		...

